$packageName    = 'kubernetes-cli'
$url            = 'https://dl.k8s.io/v1.6.9/kubernetes-client-windows-386.tar.gz'
$url64          = 'https://dl.k8s.io/v1.6.9/kubernetes-client-windows-amd64.tar.gz'
$checksum       = '83083c0d78e9468c7be395282a4697d2c703d3310593e7b70cd09fa9e7791d80'
$checksum64     = '3471db3463d60d22d82edb34fbe3ca301cc583ebddffc2664569255302e7d304'
$checksumType   = 'sha256'
$checksumType64 = 'sha256'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$tempDir    = "$toolsDir\temp"


# Download and unzip into a temp folder
Install-ChocolateyZipPackage -PackageName "$packageName" -UnzipLocation "$tempDir" -Url "$url" -Url64 "$url64" -Checksum "$checksum" -ChecksumType "$checksumType" -Checksum64 "$checksum64" -ChecksumType64 "$checksumType64"

# Untar into tools folder
Get-ChocolateyUnzip -PackageName "$packageName" -FileFullPath "$tempDir" -Destination "$toolsDir"

# Remove temp folder
Remove-Item "$tempDir\*" -recurse
Remove-Item "$tempDir"
